Bug 238059 - [RHEL4] Undefined symbols
Summary: [RHEL4] Undefined symbols
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: devhelp   
(Show other bugs)
Version: 4.4
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: Matthew Barnes
QA Contact:
URL: http://rhts.lab.boston.redhat.com/cgi...
Whiteboard:
Keywords: Triaged
: 236108 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-26 20:58 UTC by Dave Malcolm
Modified: 2012-06-20 13:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 13:29:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dave Malcolm 2007-04-26 20:58:25 UTC
Description of problem:
Running
  ldd -r /usr/lib/libdevhelp-1.so.0
includes this output:
undefined symbol: _ZTV24nsGetServiceByContractID	(/usr/lib/libdevhelp-1.so.0)
undefined symbol: NS_CStringContainerInit	(/usr/lib/libdevhelp-1.so.0)
undefined symbol: gtk_moz_embed_set_profile_path	(/usr/lib/libdevhelp-1.so.0)
undefined symbol: NS_StringContainerInit	(/usr/lib/libdevhelp-1.so.0)
undefined symbol: gtk_moz_embed_get_title	(/usr/lib/libdevhelp-1.so.0)
undefined symbol: NS_StringContainerFinish	(/usr/lib/libdevhelp-1.so.0)
undefined symbol: NS_UTF16ToCString	(/usr/lib/libdevhelp-1.so.0)
undefined symbol: gtk_moz_embed_get_location	(/usr/lib/libdevhelp-1.so.0)
undefined symbol: _ZN13nsCOMPtr_base14assign_from_qiE16nsQueryInterfaceRK4nsID
(/usr/lib/libdevhelp-1.so.0)
undefined symbol: gtk_moz_embed_set_comp_path	(/usr/lib/libdevhelp-1.so.0)
undefined symbol: gtk_moz_embed_go_forward	(/usr/lib/libdevhelp-1.so.0)
undefined symbol: _ZN13nsCOMPtr_baseD2Ev	(/usr/lib/libdevhelp-1.so.0)
undefined symbol: gtk_moz_embed_go_back	(/usr/lib/libdevhelp-1.so.0)
undefined symbol:
_ZN13nsCOMPtr_base18assign_from_helperERK15nsCOMPtr_helperRK4nsID
(/usr/lib/libdevhelp-1.so.0)
undefined symbol: gtk_moz_embed_load_url	(/usr/lib/libdevhelp-1.so.0)
undefined symbol: gtk_moz_embed_render_data	(/usr/lib/libdevhelp-1.so.0)
undefined symbol: NS_CStringContainerFinish	(/usr/lib/libdevhelp-1.so.0)
undefined symbol: gtk_moz_embed_can_go_back	(/usr/lib/libdevhelp-1.so.0)
undefined symbol: _ZN13nsCOMPtr_base16begin_assignmentEv
(/usr/lib/libdevhelp-1.so.0)
undefined symbol: gtk_moz_embed_new	(/usr/lib/libdevhelp-1.so.0)
undefined symbol: gtk_moz_embed_push_startup	(/usr/lib/libdevhelp-1.so.0)
undefined symbol: gtk_moz_embed_can_go_forward	(/usr/lib/libdevhelp-1.so.0)
undefined symbol: NS_CStringSetData	(/usr/lib/libdevhelp-1.so.0)

Version-Release number of selected component (if applicable):
devhelp-0.10-0.2.el4.ppc

Comment 1 Matthew Barnes 2008-02-03 16:38:37 UTC
*** Bug 236108 has been marked as a duplicate of this bug. ***

Comment 2 Jiri Pallich 2012-06-20 13:29:21 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.